const server = 'http://192.168.4.22'

async function login(username,password){
    let formData = new FormData();
    formData.append('username',username)
    formData.append('password',password);
    formData.append('action','login');
    const resp = await fetch(`${server}/api/auth`,{method: 'POST',mode: 'cors',body:formData }).then(resp=>resp.text())
    return resp;
}
function logout(){
    return 'DUMMYTOKEN';
}
function checkAuth(token){
    return token==='DUMMYTOKEN';
}
async function fetchdb(token='azif7eqCl5'){
    //fetch(`${server}/api/userdb`).then()
    //let xmlHttp = new XMLHttpRequest();
    //xmlHttp.open( "GET", `${server}/api/userdb`, false ); // false for synchronous request
    //xmlHttp.send( null );
    const resp = await fetch(`${server}/api/userdb`,{method: 'GET',mode: 'cors',headers:{Authentification:token}})
    .then(resp=>resp.text()).then(text=>parsedb(text))
    return resp;
    
}
function parsedb(raw){
    
        let lines = raw.split('\n');
        let users = [];
        lines.map((l,line)=>{
            let [uid, first_name, last_name, rfid_uid, user_pin, active] = l.split([';']);
            users.push({ line, uid, first_name, last_name, rfid_uid, user_pin, enabled: active[0]==='1' });
        });
        return users;
    
}
const publicfunctions = {login, logout, checkAuth, parsedb, fetchdb};
export default {...publicfunctions}
export {login, logout, checkAuth, parsedb}